<?php

class APIgoatDoc extends APIgoatTemplate
{

    static function getDocs(array $data, array $headers)
    {
        $content = '';
        $menu = '';

        foreach ($data as $row) {

            $menu .= li(href($row['name'], '#' . $row['title']), "class='page_item current_page_item'");
            $content .= div(
                anchor($row['title']) . h3($row['name'])
                    . h2($row['title'], "class='entry-title'")
                    . span($row['type'] . " " . $row['value'])
                    . p(trim($row['text']))
                    . ((!empty($row['example'])) ? div(span("Example:") . pre(htmlentities($row['example']))) : '')
            );
        }

        foreach ($headers as $name => $header) {
            $menu = h3($header) . $menu;
        }


        return div(
            div(
                ul($menu, "class='doc-nav-list'"),
                '',
                "class='wedocs-sidebar wedocs-hide-mobile'"
            ) . div(
                $content,
                '',
                "class='wedocs-single-content'"
            ),
            '',
            "class='wedocs-single-wrap'"
        );
    }
}
